GET /api/fleet/epm/packages/limited

Spaces method and path for this operation:

get /s/{space_id}/api/fleet/epm/packages/limited

Refer to Spaces for more information.

Get the list of packages that cannot be uninstalled (e.g. elastic_agent, fleet_server).

[Required authorization] Route required privileges: integrations-read OR fleet-setup OR fleet-all.

Responses

  • 200 application/json

    Successful response

    Hide response attribute Show response attribute object
    • items array[string] Required

      Not more than 10000 elements.

  • 400 application/json

    Bad Request

    Hide response attributes Show response attributes object
    • attributes Required
    • error string
    • errorType string
    • message string Required
    • statusCode number
GET /api/fleet/epm/packages/limited
curl \
 --request GET 'https://<KIBANA_URL>/api/fleet/epm/packages/limited' \
 --header "Authorization: $API_KEY"
Response examples (200)
List of packages that cannot be uninstalled
{
  "items": [
    "elastic_agent",
    "fleet_server"
  ]
}
Response examples (400)
Example of a generic error response
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}